* {
  margin: 0;
  padding: 0;
  font-weight: normal;
  list-style-type: none;
  box-sizing: border-box;
}
body {
  background-color: #eed6bc;
}
.wrap {
  width: 1280px;
  margin: 0 auto;
  height: auto;
}
header {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

h2 {
  font-family: 'Kiwi Maru', serif;
  font-size: 30px;
}
h3 {
  font-size: 23px;
}
.square {
  display: inline-block;
  width: 20px;
  height: 20px;
  background-color: #e3a600;
  margin-right: 5px;
}

nav ul {
  display: flex;
  gap: 40px;
}
nav ul li a {
  font-size: 20px;
  color: #00753e;
  text-decoration: none;
  border-bottom: 2px solid transparent;
  transition: border-color 0.3s ease;
}
nav ul li a:hover {
  border-color: #00753e;
}
.index #index a,
.menu #menu a,
.cast #cast a,
.access #access a,
.form #form a {
  border-color: #00753e;
}

/* top */
.slider {
  margin-top: 20px;
}
.outbox1 {
  width: 1280px;
  height: 250px;
  position: relative;
  margin: 40px auto 80px;
}
.inbox1 {
  width: 1280px;
  height: 250px;
  background-color: #fff;
  filter: blur(60px);
  opacity: 0.7;
  position: relative;
}
.title-txt1 {
  width: 1280px;
  height: auto;
  position: absolute;
  top: 50px;
  text-align: center;
}
.title-txt1 p {
  margin-top: 20px;
  line-height: 30px;
  font-size: 20px;
}
.left {
  position: absolute;
  top: 0;
}
.right {
  position: absolute;
  bottom: 0;
  right: 0;
}

.news li {
  width: 500px;
  display: flex;
  gap: 50px;
  line-height: 60px;
  font-size: 20px;
  border-bottom: 2px dotted #000;
}
.news-sub {
  margin-bottom: 20px;
  height: 300px;
  display: flex;
  justify-content: space-between;
}
.sub1 {
  width: 600px;
  overflow-x: hidden;
}
.sub2 {
  margin-left: 30px;
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
}
.sub2 h2 {
  width: 100%;
}
.sub2 dl {
  width: 550px;
}
.sub2 dl dt {
  font-size: 20px;
  border-bottom: 2px dotted #000;
}
.sub2 dl dd {
  font-size: 18px;
  margin-bottom: 10px;
}

/* menu */
.outbox2 {
  width: 900px;
  height: 250px;
  position: relative;
  margin: 20px auto;
}
.inbox2 {
  width: 900px;
  height: 250px;
  background: #fff;
  border-radius: 50%;
  opacity: 0.7;
  filter: blur(60px);
}
.title-txt2 {
  width: 900px;
  height: auto;
  position: absolute;
  top: 30px;
  text-align: center;
}
.title-txt2 p {
  margin-top: 20px;
  line-height: 27px;
  font-size: 18px;
}
.main-menu {
  display: flex;
  justify-content: space-between;
  margin-bottom: 50px;
}
.menu-bottom-txt {
  margin: 20px;
}
.menu-bottom-txt h3 {
  width: 350px;
  border-bottom: 1px dotted #000;
  font-size: 20px;
}
.menu-bottom-txt p {
  font-size: 18px;
}
.main-menu dl dt {
  margin-top: 20px;
  font-size: 20px;
  text-align: center;
  font-weight: bold;
}
.main-menu dl dd {
  padding: 5px;
  font-size: 18px;
}
.main-menu dl span {
  display: block;
  width: 100%;
  text-align: right;
  font-size: 18px;
  font-weight: bold;
  background-color: rgb(189, 189, 189);
}
.drink {
  width: 400px;
  height: auto;
}
.sweets {
  width: 400px;
  height: auto;
}
.food {
  width: 400px;
  height: auto;
}
.btn {
  width: 100%;
  height: 60px;
  line-height: 60px;
  text-align: center;
  background-color: #00753e;
  color: white;
  font-size: 30px;
  font-family: 'Kiwi Maru', serif;
  cursor: pointer;
  user-select: none;
}
.btn:hover {
  background-color: #02894a;
  transition: 0.5s;
}
.txt3 {
  width: 100%;
  height: 0;
  background-color: rgba(255, 255, 255, 0.5);
  overflow: hidden;
  transition: 0.5s;
}
.txt3.height450 {
  height: 450px;
  overflow: auto;
}
.table2 {
  width: 1280px;
  height: auto;
  border-collapse: collapse;
  background-color: rgba(255, 255, 255, 0.2);
  margin: 0 auto;
}
.table2 tr:nth-child(even) {
  background-color: rgba(255, 255, 255, 0.2);
}
.table2 th {
  font-size: 20px;
  padding: 10px;
}
.table2 td {
  font-size: 20px;
  padding: 10px;
}

/* キャスト */
.cast-contents1 {
  margin: 10px auto 40px;
  width: 1240px;
  display: flex;
  gap: 20px;
}
.cast-contents2 {
  margin: 0 auto 40px;
  width: 1240px;
  display: flex;
  justify-content: space-between;
}
.cast-contents3 {
  margin: 0 auto 20px;
  width: 1240px;
  display: flex;
  justify-content: space-between;
}
.nakama {
  margin: 40px 0 0 20px;
}

.castname {
  position: absolute;
  bottom: 0;
  width: 400px;
  height: 50px;
  background-color: rgba(0, 117, 62, 0.7);
  text-align: center;
  line-height: 50px;
  color: white;
  font-size: 25px;
  font-family: 'Kiwi Maru', serif;
}
.castph1,
.castph2,
.castph3,
.castph4,
.castph5,
.castph6,
.castph7,
.castph8,
.castph9 {
  position: relative;
  cursor: pointer;
  user-select: none;
}
.castph1 a,
.castph2 a,
.castph3 a,
.castph4 a,
.castph5 a,
.castph6 a,
.castph7 a,
.castph8 a,
.castph9 a {
  display: block; /*インライン要素のためサイズ変更命令を効かせなきゃいけない*/
  overflow: hidden; /*超重要：はみ出た画像が下の文字に被るのを防ぐ*/
}
/* --- 2. 通常時の画像の設定：アニメーションを滑らかにする --- */
.castph1 a img,
.castph2 a img,
.castph3 a img,
.castph4 a img,
.castph5 a img,
.castph6 a img,
.castph7 a img,
.castph8 a img,
.castph9 a img {
  transition: transform 0.3s ease; /*0.3秒かけて滑らかに大きくする設定*/
}
/* --- 3. ホバー時の設定：画像だけを拡大する --- */
.castph1 a:hover img,
.castph2 a:hover img,
.castph3 a:hover img,
.castph4 a:hover img,
.castph5 a:hover img,
.castph6 a:hover img,
.castph7 a:hover img,
.castph8 a:hover img,
.castph9 a:hover img {
  opacity: 0.9;
  transform: scale(1.08);
}
.hanbai {
  margin-left: 20px;
  margin-top: 80px;
  font-size: 25px;
}

/*アクセス*/
.access-txt {
  margin-top: 40px;
}
.shop-info-item {
  display: flex;
  line-height: 80px;
  font-size: 23px;
  border-bottom: 1px solid #00753e;
}
iframe {
  display: block;
  margin: 30px 0 20px 100px;
  float: left;
}
.shop-info-list2 {
  margin-top: 50px;
  float: left;
}
.shop-info-list2 dd {
  font-size: 20px;
}
.shop-info-list2 dt {
  font-size: 22px;
}

/*お問い合わせ*/
.access-txt {
  margin-bottom: 20px;
}
.table1 {
  border-collapse: collapse;
  background-color: rgba(255, 255, 255, 0.2);
}
.table1 tr:nth-child(even) {
  background-color: rgba(255, 255, 255, 0.2);
}
.table1 tr {
  height: 60px;
}
.table1 th {
  font-size: 23px;
  padding: 10px;
}
.table1 td {
  font-size: 20px;
  padding: 20px;
}
.area {
  width: auto;
  height: 35px;
  font-size: 18px;
}
.naiyou {
  width: 500px;
  height: 200px;
  font-size: 18px;
}
.button {
  display: flex;
  justify-content: flex-end;
  gap: 20px;
  margin: 20px 0 20px 20px;
}
.submit,
.clear {
  width: 150px;
  height: 50px;
  font-size: 20px;
}
.sp-only {
  display: none;
}
.sp-top1,
.sp-top2 {
  display: none;
}
footer {
  width: 100%;
  line-height: 25px;
  background-color: #00753e;
  color: white;
  text-align: center;
  clear: both;
}
#btn2 {
  display: none;
}
@media screen and (max-width: 767px) {
  .wrap {
    width: 100%;
    margin: 0 auto;
    height: auto;
  }
  header {
    display: flex;
    flex-wrap: wrap;
    position: relative;
  }
  header h1 img {
    width: 300px;
    height: auto;
  }
  #btn2 {
    width: 44px;
    height: 44px;
    display: inline;
    text-align: center;
    background-color: #e3a600;
    color: white;
    font-size: 13px;
    position: fixed;
    top: 0;
    right: 0;
    user-select: none;
    z-index: 10;
    border: none;
  }
  #nav {
    width: 200px;
    height: 100%;
    position: fixed;
    top: 0;
    right: -100%;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: #e3a600;
    transition: 0.5s;
    z-index: 5;
  }
  #nav ul {
    flex-direction: column;
  }
  #nav ul li a {
    color: white;
    font-size: 18px;
    line-height: 2;
  }
  #nav.on {
    right: 0;
  }
  h2 {
    font-size: 18px;
  }
  h3 {
    font-size: 14px;
  }
  .outbox1 {
    width: 100%;
    height: 300px;
    margin-bottom: 20px;
    position: relative;
  }
  .inbox1 {
    width: 100%;
    background-color: #fff;
    filter: blur(60px);
    opacity: 0.7;
    position: relative;
  }
  .title-txt1 {
    width: 100%;
    position: absolute;
    top: 50px;
    text-align: center;
  }
  .title-txt1 p {
    font-size: 14px;
    line-height: 25px;
  }
  .sp-only {
    display: inline;
  }
  .sp-top1 {
    display: inline;
    position: absolute;
    top: 0;
    left: 30px;
  }
  .sp-top2 {
    display: inline;
    position: absolute;
    bottom: 0;
    right: 30px;
  }
  .left {
    display: none;
  }
  .right {
    display: none;
  }
  .square {
    width: 15px;
    height: 15px;
  }
  .news li {
    width: 100%;
    gap: 20px;
    line-height: 40px;
    font-size: 16px;
  }

  .news-sub {
    width: 100%;
    margin-bottom: 20px;
    height: 300px;
    flex-wrap: wrap;
  }
  .sub1 {
    width: 100%;
    overflow-x: hidden;
  }
  .sub2 {
    margin-left: 0;
    margin-top: 25px;
    justify-content: space-between;
  }

  .sub2 dl {
    width: 100%;
  }
  .sub2 dl dt {
    font-size: 16px;
  }
  .sub2 dl dd {
    font-size: 14px;
  }
  footer {
    display: none;
  }
}
